Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0008944
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Y. DBSourceManagerminorhave not tried2009-05-07 11:462012-03-02 15:37
ReportershuehnerView Statuspublic 
Assigned Tomarvintm 
PriorityurgentResolutionfixedFixed in Version3.0MP9
StatusclosedFix in branchFixed in SCM revision38823d9d9f24
ProjectionnoneETAnoneTarget Version3.0MP9
OSAnyDatabasePostgreSQLJava version
OS VersionDatabase versionAnt version
Product Version2.40MP4SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0008944: create.database fails when pg-superuser username != postgres

DescriptionThe command does fails as it implictely assumes that the pg-superuser username is postgres (correctly assumes that a (pg-system) database with the same name exists, as the system-db is named postgres).

So this will fails when someone runs its postgres server under a different username.

This should not affect 90% or more of the standard installations => minor.
Proposed SolutionExplicitely connect to the system database when doing administrative tasks (i.e. create/drop user, create/drop database)
TagsNo tags attached.
Attached Filesdiff file icon 8944_proposed_fix.diff [^] (2,182 bytes) 2012-02-07 16:08 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0044923)
hgbot (developer)
2012-02-08 09:54

Repository: erp/devel/pi
Changeset: 38823d9d9f24fff11def96a0cd9b22b324e829e4
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Feb 08 09:53:24 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/38823d9d9f24fff11def96a0cd9b22b324e829e4 [^]

Fixed issue 8944. Openbravo will work when pg superuser is not postgres

---
M src-db/database/build-create.xml
---
(0045184)
hgbot (developer)
2012-02-16 12:12

Repository: erp/devel/pi
Changeset: e2fb0056c7244e06191f3f2ccf90e4d44569d4f5
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Feb 16 10:45:18 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/e2fb0056c7244e06191f3f2ccf90e4d44569d4f5 [^]

Related to issue 8944. Removed wrong echo

---
M src-db/database/build-create.xml
---
(0045198)
AugustoMauch (developer)
2012-02-16 15:21

Code reviewed and verified.
(0045772)
hudsonbot (developer)
2012-03-02 15:35

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/544d64e0c159 [^]

Maturity status: Test
(0045867)
hudsonbot (developer)
2012-03-02 15:37

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/544d64e0c159 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2009-05-07 11:46 shuehner New Issue
2009-05-07 11:46 shuehner Assigned To => marvintm
2009-05-07 11:46 shuehner Regression testing => No
2009-05-07 16:54 psarobe Status new => scheduled
2009-05-07 16:54 psarobe fix_in_branch => pi
2012-02-03 18:32 shuehner Priority low => urgent
2012-02-03 18:32 shuehner Target Version => 3.0MP9
2012-02-03 18:32 shuehner fix_in_branch pi =>
2012-02-07 16:08 shuehner File Added: 8944_proposed_fix.diff
2012-02-08 09:54 hgbot Checkin
2012-02-08 09:54 hgbot Note Added: 0044923
2012-02-08 09:54 hgbot Status scheduled => resolved
2012-02-08 09:54 hgbot Resolution open => fixed
2012-02-08 09:54 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/38823d9d9f24fff11def96a0cd9b22b324e829e4 [^]
2012-02-16 12:12 hgbot Checkin
2012-02-16 12:12 hgbot Note Added: 0045184
2012-02-16 15:21 AugustoMauch Note Added: 0045198
2012-02-16 15:21 AugustoMauch Status resolved => closed
2012-02-16 15:21 AugustoMauch Fixed in Version => 3.0MP9
2012-03-02 15:35 hudsonbot Checkin
2012-03-02 15:35 hudsonbot Note Added: 0045772
2012-03-02 15:37 hudsonbot Checkin
2012-03-02 15:37 hudsonbot Note Added: 0045867


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker